import { server } from "@/utils/server";


// 前台用户绑定手机号
export const getBindPhoneApi = () => {
    return server.post<any>({
        url: "/v1/api/user/bind_phone",
    });
};

// 前台用户手机号是否存在
export const getCheckUserPhoneExistApi = (params: any) => {
    return server.get<any>({
        url: "/v1/api/user/check_user_phone_exist",
        params
    });
};

// 找回密码
export const getFindPwdApi = (data: any) => {
    return server.post<any>({
        url: "/v1/api/user/find_pwd",
        data
    });
};

// 前台用户谷歌登录
export const getGoogleLoginApi = () => {
    return server.post<any>({
        url: "/v1/api/user/google_login"
    });
};

// 前台用户登录
export const getLoginApi = (data: any) => {
    return server.post<any>({
        url: "/v1/api/user/login",
        data
    });
};

// 前台用户登出
export const getLogoutApi = () => {
    return server.post<any>({
        url: "/v1/api/user/logout"
    });
};

// 前台用户注册
export const getRegisterApi = (data: any) => {
    return server.post<any>({
        url: "/v1/api/user/register",
        data
    });
};

// 前台用户注册发送验证码
export const getSendCodeApi = (params: any) => {
    return server.get<any>({
        url: "/v1/api/user/send_code",
        params
    });
};

// 前台用户获取信息
export const getUserInfoApi = () => {
    return server.post<any>({
        url: "/v1/api/user/user_info"
    });
};