import HomeCard from "@/app/[locale]/_home/HomeCard";
import HomeGames from "@/app/[locale]/_home/HomeGames";
import Box from "@/components/Box";
import Layout from "@/components/Layout";
import { LocalPropsWithChildren } from "@/types";
import { useTranslations } from "next-intl";
import { FC } from "react";
import HomeSwiper from "./_home/HomeSwiper";

const App: FC<LocalPropsWithChildren> = (props) => {
    const t = useTranslations("global");
    return (
        <Layout>
            <div>
                <Box>
                    <HomeSwiper></HomeSwiper>
                    <HomeCard></HomeCard>
                </Box>
                <HomeGames />
            </div>
        </Layout>
    );
};

export default App;
