"use client";
import { FC, PropsWithChildren, useState } from "react";
import { useRouter } from "@/i18n";
import HeaderBack from "@/components/HeaderBack";
import GoogleCom from "../login/component/GoogleCom";
import FromCom from "../login/component/FromCom";
import DomainFooter from "@/components/DomainFooter";
import '../login/page.scss'
import {getRegisterApi} from "@/api/user";

interface Props {}

const Register: FC<PropsWithChildren<Props>> = () => {
    const router:any = useRouter()
    const [msgError, setMsgError] = useState('')
    const registerRequest = async ({userPhone, pwd}: any) => {
        let params = {user_phone: userPhone, pwd, code: '123456'}
        let { code, msg } = await getRegisterApi(params)
        if(code == 200) {
            alert('注册成功')
            router.replace('/login')
        } else {
            setMsgError(msg)
        }
    }
    return (
        <div className="register-box">
            <HeaderBack />
            <GoogleCom title="Bem-vindo à 9F.COM" text="Registre-se com Google+"/>
            <FromCom type="register" callbackFun={registerRequest} msgError={msgError}/>
            <DomainFooter />
        </div>
    );
};

export default Register;
