"use client";
import { FC, PropsWithChildren, useState } from "react";
import HeaderBack from "@/components/HeaderBack";
import ButtonOwn from "@/components/ButtonOwn";
import DomainFooter from "@/components/DomainFooter";
import './page.scss'
import React from "react";
import { phoneRegex } from "@/utils";
import {getCheckUserPhoneExistApi} from "@/api/user";
import { useRouter } from "@/i18n";

interface Props {}

const ResetPhone: FC<PropsWithChildren<Props>> = () => {
    const router:any = useRouter()
    let [userPhone, setUserPhone] = useState('')
    const changeUserPhone = (e: { target: { value: any; }; }) => {
        setUserPhone(e.target.value)
    }
    let [verifyInfo, setVerifyInfo] = useState({
        msgError: '',
        check: false
    })
    const blurVerifyPhone = (e: { target: { value: any; }; }) => {
        const {value} = e.target;
        if (!value) {
            setVerifyInfo({
                msgError: '',
                check: false
            })
            return
        }
        if (value && !phoneRegex(value)) {
            setVerifyInfo({
                msgError: '请输入正确的手机号',
                check: false
            })
            return
        }
        setVerifyInfo({
            msgError: '',
            check: true
        })
    }
    const checkUserPhoneRequest = async () => {
        if(!phoneRegex(userPhone)) return
        let { code, msg, data } = await getCheckUserPhoneExistApi({user_phone: userPhone})
        if(code == 200 && data) {
            router.push(`/verification?userPhone=${userPhone}`)
            return
        }
        setVerifyInfo({
            ...verifyInfo,
            msgError: msg,
        })
    }
    return (
        <div className="resetPhone-box">
            <HeaderBack />
            <div className="main">
                <div className="title">
                    <h2>Encontre sua conta</h2>
                    <div>Insira seu número de celular para procurar a sua conta.</div>
                </div>
                <div className="phoneInput">
                    <span className="after">+55</span>
                    <input type="tel" value={userPhone} onChange={changeUserPhone} onBlur={blurVerifyPhone} placeholder="Número de Celular" maxLength={11} />
                </div>
                { verifyInfo.msgError && <div className="tips"> {verifyInfo.msgError} </div> }
                <div className="btnContent">
                    <ButtonOwn active={verifyInfo.check} callbackFun={checkUserPhoneRequest}>Continuar</ButtonOwn>
                </div>
            </div>
            <DomainFooter />
        </div>
    );
};

export default ResetPhone;
