import { EntityGameListRep } from "@/api/home";
import clsx from "clsx";
import { FC } from "react";
import Card, { CardProps } from "./Card";
import styles from "./style.module.scss";
export interface GroupProps extends CardProps {
    data?: EntityGameListRep[];
    col?: number;
}

const GroupCard: FC<GroupProps> = (props) => {
    const { col = 3, data, ...other } = props;
    const cls = clsx(
        styles.groupWrap,
        "grid",
        `grid-cols-${col}`,
        "gap-y-3 grid-rows-2",
        "justify-between"
    );
    return (
        <div className={"flex flex-wrap justify-between gap-y-4"}>
            {data?.map((item, index) => <Card key={index} item={item} {...other} />)}
        </div>
    );
};

export default GroupCard;
