"use client";
import React, { FC, PropsWithChildren } from "react";
import clsx from "clsx";
import styles from "./style.module.scss";

/**
 * @description 域名说明Footer组件
 * @param {any} children 插槽内容
 */
export interface DomainFooterProps {
    children?: any;
    [props: string]: any
}

const DomainFooter: FC<PropsWithChildren<DomainFooterProps>> = () => {
    const spanClassName = clsx({
        [styles.iconfontIcon]: true,
    }, 'iconfont icon-a-18');
    return (
        <div className={styles['footer-box']}>
            <div className={styles.text}>
                <span>© 9F.COM todos direitos reservados</span>
                <span className={spanClassName}></span>
            </div>
        </div>
    );
};

export default DomainFooter;
